# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/math_utils.hpp File Reference

`#include <vlCore/glsl_math.hpp>`
`#include <vlCore/Plane.hpp>`
`#include <cstdio>`
`#include <memory.h>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

VLCORE_EXPORT real | vl::random (real min, real max)
| Returns a random number N between 'min' and 'max' (included) with 53 bits of randomness generated using MersenneTwister->rand53().
VLCORE_EXPORT u32 | vl::randomU32 (u32 min, u32 max)
| Returns a random number N between 'min' and 'max' (included) generated using MersenneTwister->randInt().
VLCORE_EXPORT i32 | vl::randomI32 (i32 min, i32 max)
| Returns a random number N between 'min' and 'max' (included) generated using MersenneTwister->randInt().
VLCORE_EXPORT int | vl::greaterEqualPow2 (int n)
| Returns a number N that is a power of 2 and that is equal to or greater than 'n'.
VLCORE_EXPORT int | vl::smallerEqualPow2 (int n)
| Returns a number N that is a power of 2 and that is equal to or smaller than 'n'.
VLCORE_EXPORT void | vl::extractPlanes (Plane *planes, const mat4 &modelviewproj)
| Extracts the 6 frustum planes for the given model-view-projection matrix.

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:48.
Permission is granted to use this page to write and publish articles regarding Visualization Library.